API DocumentationManufacturer material controller

Get material by ID

GET
/api/manufacturer/v1/material/{materialId}

Retrieves a specific material by its unique identifier

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

materialId*integer

ID of the material to retrieve

Formatint64

Response Body

Material found

application/json
  1. response
materialId*integer
Formatint64
name*string
type*string
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/material/0'
{  "materialId": 0,  "name": "string",  "type": "string"}